cdac.medinfo.ccd.enums

## Enum ApplicationMediaType

- java.lang.Object
- - java.lang.Enum<ApplicationMediaType>
  - - cdac.medinfo.ccd.enums.ApplicationMediaType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ApplicationMediaType>

      public enum ApplicationMediaType
      extends java.lang.Enum<ApplicationMediaType>

  Java class for ApplicationMediaType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ApplicationMediaType">
         <restriction base="{urn:hl7-org:v3}cs">
           <enumeration value="application/dicom"/>
           <enumeration value="application/msword"/>
           <enumeration value="application/pdf"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION_DICOM`
    `APPLICATION_MSWORD`
    `APPLICATION_PDF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationMediaType` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static ApplicationMediaType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationMediaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATION_DICOM

          public static final ApplicationMediaType APPLICATION_DICOM

    - #### APPLICATION_MSWORD

          public static final ApplicationMediaType APPLICATION_MSWORD

    - #### APPLICATION_PDF

          public static final ApplicationMediaType APPLICATION_PDF

  - ### Method Detail

    - #### values

          public static ApplicationMediaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationMediaType c : ApplicationMediaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationMediaType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static ApplicationMediaType fromValue(java.lang.String v)